package com.bonus.sgzb.base.service;

import com.bonus.sgzb.base.domain.DataReceiveDetail;
import com.bonus.sgzb.base.domain.DataReceiveInfo;

import java.util.List;

/**
 * @Author：liang.chao
 * @Date：2024/7/24 - 13:20
 */
public interface MaReceiveService {
    int saveDataReceiveInfo(DataReceiveInfo dataReceiveInfo);

    int saveDataReceiveDetails(DataReceiveDetail dataReceiveDetail);

    List<DataReceiveInfo> getDataReceive(DataReceiveInfo dataReceiveInfo);
    List<DataReceiveDetail> getDataReceiveDetails(DataReceiveDetail dataReceiveDetail);

    int saveMachine(DataReceiveInfo dataReceiveInfo);

    List<DataReceiveDetail> getDateReceiveMachine(DataReceiveDetail dataReceiveDetail);
}
